#include "ivloader.h"

#include <Inventor/Qt/SoQt.h>

#include <QApplication>
#include <QMainWindow>
#include <QMenuBar>
#include <QMenu>

int main(int argc, char** argv)
{
     // Cration d'une application Qt
     QApplication app(argc,argv);

     QMainWindow* mw= new QMainWindow();
    
     QMenu* file= mw->menuBar()->addMenu("File");
     IVLoader* iv=new IVLoader();
     file->addAction("Load file ..." , iv, SLOT(openFileDialog()));


     if (argc > 1)
	  iv->openFile(QString(argv[1]));

     mw->setCentralWidget(iv);
     mw->resize(640,480);
     mw->show();
     SoQt::mainLoop();

     return 0;
}
