#include <Inventor/Qt/SoQt.h>
#include <Inventor/Qt/viewers/SoQtExaminerViewer.h>
#include <Inventor/nodes/SoMaterial.h>
#include <Inventor/nodes/SoCone.h>
#include <Inventor/nodes/SoSeparator.h>

int main(int argc, char** argv)
{
     QWidget* myWidget= SoQt::init(argv[0]);

// Il s'agit de la cration d'un cne rouge.
     SoSeparator* root = new SoSeparator;
     root->ref(); // Augmenter le compteur de rfrences
     SoMaterial*  rouge = new SoMaterial ;
     rouge->diffuseColor.setValue(1.0, 0.0, 0.0);
     root->addChild(rouge);
     root->addChild(new SoCone);

     SoQtExaminerViewer *myRenderArea = new SoQtExaminerViewer(myWidget);

     myRenderArea->setSceneGraph(root);
     myRenderArea->show();

     SoQt::show(myWidget);

     SoQt::mainLoop();
     return 0;
}
