#ifndef __CONEBUTTON_H__
#define __CONEBUTTON_H__

#include <Inventor/nodes/SoMaterial.h>
#include <Inventor/nodes/SoSeparator.h>
#include <QObject>

// Cration de la classe ConeButton
// Hrite de QObject pour profiter 
// du mcanisme signal/slot
class ConeButton : public QObject
{
Q_OBJECT

// Mthodes publiques
public:
ConeButton(); // Constructeur
~ConeButton();// Destructeur

SoSeparator* getSceneGraph() { return separator; }

// Dclaration d'un slot
public slots :
void changeMaterial();

// Membres privs
private: 
float green;
SoSeparator* separator;
SoMaterial* mat;
};

#endif //__CONEBUTTON_H__
